Skip to main content
POST
/
instances
/
{id}
/
update
/instances/{id}/update
curl --request POST \
  --url https://api.shadeform.ai/v1/instances/{id}/update \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "cool-gpu-server",
  "auto_delete": {
    "date_threshold": "2006-01-02T15:04:05-07:00",
    "spend_threshold": "3.14"
  },
  "alert": {
    "date_threshold": "2006-01-02T15:04:05-07:00",
    "spend_threshold": "3.14"
  },
  "tags": [
    "tag1"
  ]
}
'
import requests

url = "https://api.shadeform.ai/v1/instances/{id}/update"

payload = {
"name": "cool-gpu-server",
"auto_delete": {
"date_threshold": "2006-01-02T15:04:05-07:00",
"spend_threshold": "3.14"
},
"alert": {
"date_threshold": "2006-01-02T15:04:05-07:00",
"spend_threshold": "3.14"
},
"tags": ["tag1"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'cool-gpu-server',
auto_delete: {date_threshold: '2006-01-02T15:04:05-07:00', spend_threshold: '3.14'},
alert: {date_threshold: '2006-01-02T15:04:05-07:00', spend_threshold: '3.14'},
tags: ['tag1']
})
};

fetch('https://api.shadeform.ai/v1/instances/{id}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The instance id

Body

application/json
name
string

The name of the instance

Example:

"cool-gpu-server"

auto_delete
object

Set a date or spend threshold to automatically delete the instance

alert
object

Set a date or spend threshold to receive an email alert

tags
string[]

Add custom, searchable tags to instances.

Tag for searching and grouping

Response

200

Confirms the update of an instance.